org.apache.maven.scm.provider.starteam.command.changelog

## Class StarteamChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.starteam.command.changelog.StarteamChangeLogConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class StarteamChangeLogConsumer
    extends AbstractConsumer

Version:
  $Id: StarteamChangeLogConsumer.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`StarteamChangeLogConsumer(File workingDirectory, ScmLogger logger, Date startDate, Date endDate, String userDateFormat)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getModifications()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StarteamChangeLogConsumer

    public StarteamChangeLogConsumer(File workingDirectory,
                             ScmLogger logger,
                             Date startDate,
                             Date endDate,
                             String userDateFormat)

### Method Detail

#### getModifications

    public List getModifications()

#### consumeLine

    public void consumeLine(String line)